/**
 * Account data export
 * 
 * @author Pierre Hubert
 */

import { User } from "./User";

export interface AccountExportBuilder {
	userID: number;
	userInfo: User;
}

export class AccountExport implements AccountExportBuilder {
	userID: number;
	userInfo: User;

	public constructor(info: AccountExportBuilder) {
		for (const key in info) {
			if (info.hasOwnProperty(key))
				this[key] = info[key];
		}
	}
}